#
# spec file for package python-restview
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-restview
Version:        3.0.1
Release:        1.6
Summary:        ReStructuredText viewer
License:        GPL-3.0-only
Group:          Development/Languages/Python
URL:            https://mg.pov.lt/restview/
Source:         https://files.pythonhosted.org/packages/source/r/restview/restview-%{version}.tar.gz
# PATCH-FIX-UPSTREAM fix-tests.patch gh#mgedmin/restview@5033eacb1d55
Patch:          fix-tests.patch
# PATCH-FIX-UPSTREAM fix_tests.patch gh#mgedmin/restview@6a1d6b44ee40
Patch:          fix_tests.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-docutils
Requires:       python-pygments
Requires:       python-readme_renderer
Requires(post): update-alternatives
Requires(postun):update-alternatives
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module pygments}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module readme_renderer}
# /SECTION
%python_subpackages

%description
A viewer for ReStructuredText documents that renders them on the fly.

%prep
%autosetup -p1 -n restview-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/restview
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%post
%python_install_alternative restview

%postun
%python_uninstall_alternative restview

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%python_alternative %{_bindir}/restview
%{python_sitelib}/restview
%{python_sitelib}/restview-%{version}*-info

%changelog
* Thu Nov 23 2023 Markéta Machová <mmachova@suse.com>
- Update to 3.0.1
  * Add support for Python 3.11.
  * Drop support for Python 3.6.
- Add fix_tests.patch to fix tests one more time
  * from the commit message: "Doctests were a bad idea."
* Fri Dec  2 2022 Daniel Garcia <daniel.garcia@suse.com>
- Add fix-tests.patch gh#mgedmin/restview@5033eacb1d55
- Remove python_module macro definition
- More specific python_sitelib in %%files
- Use autosetup instead of setup + autopatch
* Thu Apr 14 2022 pgajdos@suse.com
- version update to 3.0.0
  3.0.0 (2022-01-12)
  - Drop support for Python 2.7.
  2.9.3 (2021-11-29)
  - Fix incompatibility with docutils 0.18.1 that resulted in "Cannot embed
    stylesheet" errors (`issue 61 <https://github.com/mgedmin/restview/pull/61>`_,
    contributed by Sébastien Besson).
  - Add support for Python 3.8, 3.9, and 3.10.
  - Drop support for Python 3.5.
- deleted patches
  - false.patch (upstreamed)
* Thu Apr  1 2021 Markéta Machová <mmachova@suse.com>
- Add false.patch to fix recent build failure
* Wed Jan 13 2021 pgajdos@suse.com
- use %%pytest macro
* Tue May 19 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Tue Sep 10 2019 Jan Engelhardt <jengelh@inai.de>
- Use somewhat longer description from upstream.
* Fri Sep  6 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.9.2
